Problem installing


I have decided to upgrade my version of gtkmm from 1.2.1 to 2.8.0. While I have been doing this, I encountered a problem:

g++ -g -O2 -Wall -o generate_extra_defs generate_defs_gtk.o  -L/usr/local/lib /usr/local/lib/ /usr/local/lib/ /usr/local/lib/ /usr/local/lib/ /usr/local/lib/ /usr/local/lib/ /usr/local/lib/ /usr/local/lib/ /usr/local/lib/ -L/opt/gnome/lib /opt/gnome/lib/ /opt/gnome/lib/ /opt/gnome/lib/ -lm /usr/local/lib/ /usr/local/lib/ /usr/local/lib/ /usr/local/lib/ -ldl /usr/local/lib/ /usr/lib/
/usr/local/lib/ undefined reference to `g_build_pathv'
/usr/local/lib/ undefined reference to `g_build_filenamev'
collect2: ld returned 1 exit status
make[3]: *** [generate_extra_defs] Error 1
make[3]: Leaving directory `/home/johannes/ALLGEMEINES/eight/pogramming/needed/libraries/non-working/gtkmm-project/gtkmm-2.8.0/gtkmm-2.8.0/tools/extra_defs_gen'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/home/johannes/ALLGEMEINES/eight/pogramming/needed/libraries/non-working/gtkmm-project/gtkmm-2.8.0/gtkmm-2.8.0/tools'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/johannes/ALLGEMEINES/eight/pogramming/needed/libraries/non-working/gtkmm-project/gtkmm-2.8.0/gtkmm-2.8.0'
make: *** [all] Error 2

Any help?


gtkmm:2.8 (trying to upgrade)
gtk:2.6.1 (upgraded from old)
glibmm:2.12.1 (upgraded from old)
This is a installation parallel to my old one (don't want to risk mixing my system up by taking away the old ones).

Verschicken Sie romantische, coole und witzige Bilder per SMS!
Jetzt bei WEB.DE FreeMail:

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]